Summary:	Fast anti-spam filtering by Bayesian statistical analysis
Name:		bogofilter
Version:	0.95.2
Release:	1mdk
License:	GPL
Group:		Networking/Mail
URL:		http://bogofilter.sourceforge.net
Source0:	http://prdownloads.sourceforge.net/bogofilter/%{name}-%{version}.tar.bz2
Source1:        %{name}-0.93.0-README.urpmi.tar.bz2
Patch:		bogofilter-0.95.2-novalgrindtest.patch.bz2
BuildRequires:	db4.2-devel
BuildRequires:	gsl-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Bogofilter is a Bayesian spam filter. In its normal mode of
operation, it takes an email message or other text on standard
input, does a statistical check against lists of "good" and
"bad" words, and returns a status code indicating whether or not
the message is spam. Bogofilter is designed with fast algorithms
(including Berkeley DB system), coded directly in C, and tuned for
speed, so it can be used for production by sites that process a
lot of mail.

%prep

%setup -q -n %{name}-%{version} -a1 
%patch -p1 -b .novalgrindtest

%build

%configure2_5x \
    --with-db_Transaction=yes

%make

%make DESTDIR="%{buildroot}" check

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%makeinstall_std

mv %{buildroot}%{_sysconfdir}/bogofilter.cf.example %{buildroot}%{_sysconfdir}/bogofilter.cf

##include contrib...some my find it usefull
for d in contrib ; do
  install -d %{buildroot}%{_datadir}/%{name}/$d
  files=$(find "$d" -maxdepth 1 -type f -print)
  for f in $files ; do
    case $f in
      *.c|*.o|*.obj|*/Makefile*) continue ;;
      *.1)
	cp -p $f %{buildroot}%{_mandir}/man1 ;;
      *)
	cp -p $f %{buildroot}%{_datadir}/%{name}/$d ;;
    esac
  done
done

# it gets built, so why not install it?
##it is only needed to run check during build and does not need to be installed CAE
#install -m755 contrib/bogogrep %{buildroot}%{_bindir}/

# prepare for doc inclusion
for n in xml html ; do
  install -d .inst/$n
  install -m644 doc/*.$n .inst/$n
done
 
%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING GETTING.STARTED Doxyfile INSTALL NEWS
%doc README* bogofilter-0.93.0-README.urpmi RELEASE.NOTES
%doc RELEASE.NOTES* TODO bogofilter.cf.example
%doc doc/README* doc/bogofilter-SA* %doc doc/integrating-* 
%doc doc/rpm.notes.BerkeleyDB 
%doc .inst/html .inst/xml
%doc trio/AUTHORS trio/CHANGES trio/README 
%doc gsl/AUTHORS gsl/README*
%doc contrib/README*
%config(noreplace) %{_sysconfdir}/bogofilter.cf
%{_bindir}/*
%{_datadir}/bogofilter
%{_mandir}/man1/*.1*
 
%changelog
* Thu Jul 28 2005 Oden Eriksson <oeriksson@mandriva.com> 0.95.2-1mdk
- 0.95.2
- andreas:
  - added novalgrindtest patch so we can remove the buildconflicts
    for it

* Fri Apr 08 2005 Charles A Edwards <eslrahc@mandrake.org> 0.94.4-1mdk
- 0.94.4

* Wed Mar 30 2005 Charles A Edwards <eslrahc@mandrake.org> 0.94.3-1mdk
- 0.94.3

* Fri Mar 25 2005 Charles A Edwards <eslrahc@mandrake.org> 0.94.2-1mdk
- 0.94.2

* Mon Mar 21 2005 Charles A Edwards <eslrahc@mandrake.org> 0.94.1-2mdk
- include /contrib
- better placement og *.html and *.xml
* Wed Mar 16 2005 Charles A Edwards <eslrahc@mandrake.org> 0.94.1-1mdk
- 0.94.1

* Mon Mar 07 2005 Charles A Edwards <eslrahc@mandrake.org> 0.94-1mdk
- new release
- builf with transactions

* Sun Jan 09 2005 Charles A Edwards <eslrahc@mandrake.org> 0.93.4-1mdk
- new release

* Mon Dec 27 2004 Charles A Edwards <eslrahc@mandrake.org> 0.93.3.1-1mdk
- new release

* Fri Dec 03 2004 Charles A Edwards <eslrahc@mandrake.org> 0.93.2-1mdk
- 0.93.2
- use db4.2
- simplify listing for bin and man

* Thu Nov 17 2004 Charles A Edwards <eslrahc@mandrake.org> 0.93.1-1mdk
- 0.93.1

* Sun Nov 07 2004 Charles A Edwards <eslrahc@mandrake.org> 0.93.0-1mdk
- 0.93
- READDME.urpmi

* Tue Oct 19 2004 Charles A Edwards <eslrahc@mandrake.org> 0.92.8-1mdk
- 0.92.8
- more updates to doc list

* Fri Oct 15 2004 Charles A Edwards <eslrahc@mandrake.org> 0.92.7-1mdk
- 0.92.7
- update doc list

* Mon Aug 23 2004 Charles A Edwards <eslrahc@mandrake.org> 0.92.6-1mdk
- 0.92.6

* Fri Aug 20 2004 Charles A Edwards <eslrahc@mandrake.org> 0.92.5-1mdk
- 0.92.5

* Fri Jul 30 2004 Charles A Edwards <eslrahc@mandrake.org> 0.92.4-1mdk
- 0.92.4

* Tue Jul 27 2004 Charles A Edwards <eslrahc@mandrake.org> 0.92.3-1mdk
- 0.92.3

* Thu Jul 15 2004 Charles A Edwards <eslrahc@mandrake.org> 0.92.2-1mdk
- 0.92.2

* Thu Jul 01 2004 Charles A Edwards <eslrahc@mandrake.org> 0.92.1-1mdk
- 0.92.1

* Sun Jun 27 2004 Charles A Edwards <eslrahc@mandrake.org> 0.92.0-1mdk
- 0.92.0

* Sun Jun 20 2004 Charles A Edwards <eslrahc@mandrake.org> 0.91.4-1mdk
- 0.91.4

* Wed Jun 16 2004 Charles A Edwards <eslrahc@mandrake.org> 0.91.3-1mdk
- 0.91.3

* Wed Jun 09 2004 Charles A Edwards <eslrahc@mandrake.org> 0.91.1-1mdk
- 0.91.1
- add buildconflict valgrind

* Sat May 22 2004 Charles A Edwards <eslrahc@mandrake.org> 0.91.0-1mdk
- 0.91.0
- drop BR for autoconf2.5--now default

* Sun May 09 2004 <Charles A Edwards <eslrahc@mandrake.org> 0.90.0-1mdk
- 0.90.0

* Thu Apr 01 2004 Charles A Edwards <eslrahc@mandrake.org> 0.17.4-1mdk
- 0.17.4

* Tue Feb 24 2004 Charles A Edwards <eslrahc@mandrake.org> 0.17.2-1mdk
- 0.17.2

* Wed Jan 07 2004 Charles A Edwards <eslrahc@mandrake.org> 0.16.0-1mdk
- 0.16.0

* Sat Dec 27 2003 Charles A Edwards <eslrahc@mandrake.org> 0.15.13-1mdk
- 0.15.13

* Fri Dec 26 2003 Charles A Edwards <eslrahc@mandrake.org> 0.15.12-2mdk
- rm bogogrep--only needed for check during build
- add missing docs
- fix typo in man listing

* Thu Dec 25 2003 Charles A Edwards <eslrahc@mandrake.org> 0.15.12-1mdk
- 0.15.12
- new files
- update doc listing 

* Fri Oct 03 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.15.5.2-1mdk
- 0.15.5.2

* Tue Aug 26 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.14.5.2-1mdk
- 0.14.5.2

* Wed Aug 20 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.14.5.1-1mdk
- 0.14.5.1
- use macros

* Wed Aug 13 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.14.4-1mdk
- 0.14.4
- build against libdb4.1

* Mon May 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.13.7.2-1mdk
- 0.13.7.2

* Mon May 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.12.2-2mdk
- use the %%configure2_5x macro

* Sun May 04 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.12.2-1mdk
- initial cooker contrib
